Skip to main content
`Ctrl`+`K`

# pandas.tseries.offsets.BYearBegin

class pandas.tseries.offsets.BYearBegin

  DateOffset increments between the first business day of the year.

  Parameters:
    n int, default 1

      The number of years represented.

    normalize bool, default False

      Normalize start/end dates to midnight before generating date range.

    month int, default 1

      A specific integer for the month of the year.

  See also

  `DateOffset`

    Standard kind of date increment.

  Examples

      >>> from pandas.tseries.offsets import BYearBegin
      >>> ts = pd.Timestamp('2020-05-24 05:01:15')
      >>> ts + BYearBegin()
      Timestamp('2021-01-01 05:01:15')
      >>> ts - BYearBegin()
      Timestamp('2020-01-01 05:01:15')
      >>> ts + BYearBegin(-1)
      Timestamp('2020-01-01 05:01:15')
      >>> ts + BYearBegin(2)
      Timestamp('2022-01-03 05:01:15')
      >>> ts + BYearBegin(month=11)
      Timestamp('2020-11-02 05:01:15')

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `freqstr` | Return a string representing the frequency.
  `kwds` | Return a dict of extra parameters for the offset.
  `month` |
  `n` |
  `name` | Return a string representing the base frequency.
  `nanos` |
  `normalize` |
  `rule_code` |

  Methods

  `copy`() | Return a copy of the frequency.
  `is_anchored`() | (DEPRECATED) Return boolean whether the frequency is a unit frequency (n=1).
  `is_month_end`(ts) | Return boolean whether a timestamp occurs on the month end.
  `is_month_start`(ts) | Return boolean whether a timestamp occurs on the month start.
  `is_on_offset`(dt) | Return boolean whether a timestamp intersects with this frequency.
  `is_quarter_end`(ts) | Return boolean whether a timestamp occurs on the quarter end.
  `is_quarter_start`(ts) | Return boolean whether a timestamp occurs on the quarter start.
  `is_year_end`(ts) | Return boolean whether a timestamp occurs on the year end.
  `is_year_start`(ts) | Return boolean whether a timestamp occurs on the year start.
  `rollback`(dt) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(dt) | Roll provided date forward to next offset only if not on offset.